FIX::ReverseLocker Class Reference

Does the opposite of the Locker to ensure mutex ends up in a locked state. More...

`#include <Mutex.h>`

Collaboration diagram for FIX::ReverseLocker:
[legend]

## Public Member Functions

| ReverseLocker (Mutex &mutex)
| ~ReverseLocker ()

## Private Attributes

Mutex & | m_mutex

## Detailed Description

Does the opposite of the Locker to ensure mutex ends up in a locked state.

Definition at line 113 of file Mutex.h.

## Constructor & Destructor Documentation

## ReverseLocker()

FIX::ReverseLocker::ReverseLocker | ( | Mutex & | mutex | ) |

inline

Definition at line 116 of file Mutex.h.

: m_mutex( mutex )
{
m_mutex.unlock();
}
FIX::Mutex::unlock
void unlock()
Definition: Mutex.h:70
FIX::ReverseLocker::m_mutex
Mutex & m_mutex
Definition: Mutex.h:127

References m_mutex, and FIX::Mutex::unlock().

## ~ReverseLocker()

FIX::ReverseLocker::~ReverseLocker | ( |  | ) |

inline

Definition at line 122 of file Mutex.h.

{
m_mutex.lock();
}
FIX::Mutex::lock
void lock()
Definition: Mutex.h:57

References FIX::Mutex::lock(), and m_mutex.

## Member Data Documentation

## m_mutex

Mutex& FIX::ReverseLocker::m_mutex

private

Definition at line 127 of file Mutex.h.

Referenced by ReverseLocker(), and ~ReverseLocker().

The documentation for this class was generated from the following file:

- Mutex.h